#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPublishedFileRevision {
    Default = 0,
    Latest = 1,
    ApprovedSnapshot = 2,
    ApprovedSnapshot_China = 3,
    RejectedSnapshot = 4,
    RejectedSnapshot_China = 5,
    AuthorSnapshot = 6,
}

impl EPublishedFileRevision {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Default as i32 => Some(Self::Default),
            x if x == Self::Latest as i32 => Some(Self::Latest),
            x if x == Self::ApprovedSnapshot as i32 => Some(Self::ApprovedSnapshot),
            x if x == Self::ApprovedSnapshot_China as i32 => Some(Self::ApprovedSnapshot_China),
            x if x == Self::RejectedSnapshot as i32 => Some(Self::RejectedSnapshot),
            x if x == Self::RejectedSnapshot_China as i32 => Some(Self::RejectedSnapshot_China),
            x if x == Self::AuthorSnapshot as i32 => Some(Self::AuthorSnapshot),
            _ => None,
        }
    }
}
